classification
Title: Fix compiler warning when building extension modules on 64-bit Windows
Type: Stage: resolved
Components: Build, Distutils Versions: Python 3.3, Python 3.4, Python 3.5
process
Status: closed Resolution: out of date
Dependencies: Superseder: test_distutils warning: initfunc exported twice on Windows
View: 9709
Assigned To: Nosy List: eric.araujo, jkloth, steve.dower, tarek
Priority: normal Keywords: patch

Created on 2012-12-25 18:38 by jkloth, last changed 2021-02-03 18:26 by steve.dower. This issue is now closed.

Files
File name Uploaded Description Edit
msvc9compiler.diff jkloth, 2012-12-25 18:38
Messages (3)
msg178160 - (view) Author: Jeremy Kloth (jkloth) * Date: 2012-12-25 18:38
The 64-bit linker doesn't mangle the dllexport'ed module init function (from PyMODINIT_FUNC) so it causes an exported name conflict.  We cannot just remove that name from export_symbols as the module may not have used PyMODINIT_FUNC on its init function.

The attached patch "fixes" the problem by suppressing the warning.

I personally would prefer the "pure" approach by assuming that the module initialization function would be required to be declared by PyMODINIT_FUNC and therefore the symbol would not need to be exported on the command line.
msg178215 - (view) Author: Stefan Krah (skrah) * (Python committer) Date: 2012-12-26 14:00
I think this is the same as #9709. Please just reopen if it isn't.
msg386392 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2021-02-03 18:26
Distutils is now deprecated (see PEP 632) and all tagged issues are being closed. From now until removal, only release blocking issues will be considered for distutils.

If this issue does not relate to distutils, please remove the component and reopen it. If you believe it still requires a fix, most likely the issue should be re-reported at https://github.com/pypa/setuptools
History
Date User Action Args
2021-02-03 18:26:33steve.dowersetstatus: open -> closed

nosy: + steve.dower
messages: + msg386392

resolution: out of date
stage: patch review -> resolved
2014-10-14 16:17:41skrahsetnosy: - skrah
2014-02-02 17:07:08skrahsetstage: needs patch -> patch review
2014-02-02 17:05:49skrahsetstatus: closed -> open
assignee: eric.araujo ->
resolution: duplicate -> (no value)
stage: resolved -> needs patch
2012-12-26 14:00:20skrahsetstatus: open -> closed

superseder: test_distutils warning: initfunc exported twice on Windows

nosy: + skrah
messages: + msg178215
resolution: duplicate
stage: resolved
2012-12-25 18:38:54jklothcreate